<template>
  <section class="synthesis-meta" v-if="meta">
    <span v-if="!isOn">&gt;</span><span v-else>&lt;</span> <a class="synthesis-meta--toggle" @click="toggle">Explication</a>
    <template v-if="isOn">
      <ul>
        <li v-if="meta.description">{{meta.description}}</li>
        <li v-if="meta.formula">Formule <pre>{{meta.formula}}</pre></li>
        <li v-if="meta.variables"> Variables:
          <ul>
            <li v-for="(variable, variableId) in meta.variables">
              {{variableId}}: <strong>{{variable}}</strong>
            </li>
          </ul>
        </li>
      </ul>
    </template>
  </section>
</template>

<script>
export default {
  data: function() {
    return {
      isOn: false
    }
  },
  props: {
    meta: {
      type: [Object, null],
      required: true,
      default: () => {
        return [];
      },
    },
  },
  methods: {
    toggle() {
      this.isOn = !this.isOn;
    }
  }
}
</script>

<style>
  a {
    cursor: pointer;
  }
  .synthesis-meta {
    font-size: 0.8em;
    padding-left: 2em;
  }
  .synthesis-meta pre, .synthesis-meta ul {
    margin-bottom: 0;
  }
</style>
